package mvd.jester.model;

import java.util.Set;

public interface Task {
    public long getWorkload();

    public long getCriticalPath();

    public double getUtilization();

    public long getMaximumParallelism();

    public long getDeadline();

    public long getPeriod();

    public long getNumberOfThreads();

    public Set<Segment> getWorkloadDistribution();

}
