package mvd.jester.priority;

import mvd.jester.model.Task;
// import mvd.jester.simulator.AbstractSimulator;
import mvd.jester.simulator.model.JobContext;
import mvd.jester.tests.AbstractTest;

/**
 * PriorityManager
 */
public interface PriorityManager {

    public int compare(Task t1, Task t2);

    public int compare(JobContext t1, JobContext t2);

    public boolean hasTest(AbstractTest<? extends Task> abstractTest);

    public boolean hasTest(Class<? extends AbstractTest<? extends Task>> abstractTestClass);

    // public boolean hasSimulator(AbstractSimulator abstractTest);

    // public boolean hasSimulator(Class<? extends AbstractSimulator> abstractTestClass);

    public String getName();

}
