package mvd.jester.simulator.events;

import mvd.jester.simulator.model.JobContext;

public abstract class AbstractSubtaskEvent extends AbstractEvent implements ISubtaskEvent {

    private final JobContext jobContext;

    protected AbstractSubtaskEvent(EventType type, long time, JobContext job) {
        super(type, time);
        this.jobContext = job;
    }

    /**
     * @return the jobContext
     */
    public JobContext getJobContext() {
        return jobContext;
    }
}
