package mvd.jester.simulator.events;

import mvd.jester.simulator.model.ExtendedSubtaskContext;

public class SubtaskCompletedEvent extends AbstractContextEvent {

    public SubtaskCompletedEvent(long time, ExtendedSubtaskContext subtask) {
        super(EventType.SUBTASK_COMPLETED, time, subtask, subtask.getJobContext());
    }

    @Override
    protected String getLoggingMessage() {
        return "Subtask " + getSubtaskContext() + " of task " + getJobContext().getTask()
                + " completed";
    }

}
