package mvd.jester.simulator.model;

import mvd.jester.model.Subtask;
import mvd.jester.model.SubtaskContext;

public class ExtendedSubtaskContext extends SubtaskContext {

    private JobContext jobContext;

    public ExtendedSubtaskContext(JobContext jobContext, Subtask subtask) {
        super(subtask);
        this.jobContext = jobContext;
    }

    public JobContext getJobContext() {
        return jobContext;
    }

    @Override
    public String toString() {
        return getSubtask() + " of task " + getJobContext().getTask();
    }
}
