package mvd.jester.model;

public class Subtask {

  private final long wcet;
  private long relativeCompletionTime;

  public Subtask(long wcet) {
    this.wcet = wcet;
    this.relativeCompletionTime = wcet;
  }

  public long getWcet() {
    return wcet;
  }

  /**
   * @return the relativeCompletionTime
   */
  public long getRelativeCompletionTime() {
    return relativeCompletionTime;
  }

  /**
   * @param relativeCompletionTime the relativeCompletionTime to set
   */
  public void setRelativeCompletionTime(long relativeCompletionTime) {
    this.relativeCompletionTime = relativeCompletionTime;
  }

  @Override
  public String toString() {
    return "(C=" + wcet + ")";
  }

}
