package mvd.jester.simulator;

import java.util.PriorityQueue;
import mvd.jester.priority.PriorityManager;
import mvd.jester.simulator.model.ExtendedSubtaskContext;

public class WaitQueue extends PriorityQueue<ExtendedSubtaskContext> {

    private static final long serialVersionUID = -4968780596887106984L;

    public WaitQueue(PriorityManager priorityManager) {
        super((jc1, jc2) -> priorityManager.compare(jc1.getJobContext(), jc2.getJobContext()));
    }
}
