package mvd.jester.tests;

import mvd.jester.info.SchedulingInfo;
import mvd.jester.model.SortedTaskSet;
import mvd.jester.model.Task;
import mvd.jester.priority.PriorityManager;

/**
 * TestInterface
 */
public interface TestInterface<T extends Task> {

    public SchedulingInfo runSchedulabilityCheck(SortedTaskSet<T> tasks);

    public PriorityManager getPriorityManager();

}
